extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla.pug

block variables

block contenido
  app-fw-cliente-cabecera([(Cliente)]="tClienteActual",
                          [BloquearBuscar]="tBloquearBuscar",
                          [Editar]="tEditar",
                          (Buscar)="BuscarClientes($event)",
                          (AbrirModal)="AbrirModalClientes()")
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Identificacion",
              role="tab",
              aria-controls="Identificacion",
              aria-selected="true")#Identificacion-tab.nav-link.active Indentificación
        li.nav-item
          a(data-toggle="tab",
              href="#Documentos",
              role="tab",
              aria-controls="Documentos",
              aria-selected="true")#Documentos-tab.nav-link Documentos
        li.nav-item
          a(data-toggle="tab",
              href="#Contacto",
              role="tab",
              aria-controls="Contacto",
              aria-selected="true")#Contacto-tab.nav-link Contacto
        li.nav-item
          a(data-toggle="tab",
              href="#InformacionPersonal",
              role="tab",
              aria-controls="InformacionPersonal",
              aria-selected="true")#InformacionPersonal-tab.nav-link Información Personal
        li.nav-item
          a(data-toggle="tab",
              href="#DireccFacturacion",
              role="tab",
              aria-controls="DireccFacturacion",
              aria-selected="true")#DireccFacturacion-tab.nav-link Dirección de Facturación
        li.nav-item
          a(data-toggle="tab",
              href="#DireccEnvio",
              role="tab",
              aria-controls="DireccEnvio",
              aria-selected="true")#DireccEnvio-tab.nav-link Dirección de Envío
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Identificacion-tab").tab-pane.fade.show.active#Identificacion
          app-fw-cliente-informacion([(Cliente)]="tClienteActual",
                                    [BloquearBuscar]="tBloquearBuscar",
                                    [Generos]="tGeneros",
                                    [Estatus]="tEstatus",
                                    [Ocupaciones]="tOcupaciones",
                                    [Situaciones]="tSituaciones",
                                    [TiposPrecios]="tTiposPrecios",
                                    [EstadoCiviles]="tEstadociviles",
                                    [TiposClientes]="tTiposClientes",
                                    [Condiciones]="tCondiciones")
        div(role="tabpanel", aria-labelledby="Documentos-tab").tab-pane.fade#Documentos
          app-fw-cliente-documentos([(Cliente)]="tClienteActual",
                                    [Empresa]="tEmpresaActual",
                                    [TiposDocumentos]="tTiposDocumentos",
                                    [Usuario]="tUsuarioActual",
                                    [Configuracion]="tConfiguracion",
                                    [(ManejarImagen)]="tManejarImagen",
                                    (EliminarDocumento)="EliminarDocumento($event)")
        div(role="tabpanel", aria-labelledby="Contacto-tab").tab-pane.fade#Contacto
          app-fw-cliente-contacto([(Cliente)]="tClienteActual",
                                  [Empresa]="tEmpresaActual",
                                  [Usuario]="tUsuarioActual",
                                  (EliminarTelefono)="EliminarTelefono($event)")
        div(role="tabpanel", aria-labelledby="InformacionPersonal-tab").tab-pane.fade#InformacionPersonal
          app-fw-cliente-nacimiento([(Cliente)]="tClienteActual",
                                    [Paises]="tPaises")
        div(role="tabpanel", aria-labelledby="DireccFacturacion-tab").tab-pane.fade#DireccFacturacion
          app-fw-cliente-facturacion([(Cliente)]="tClienteActual",
                                    [Paises]="tPaises")
        div(role="tabpanel", aria-labelledby="DireccEnvio-tab").tab-pane.fade#DireccEnvio
          app-fw-cliente-envio([(Cliente)]="tClienteActual",
                                    [Paises]="tPaises")
  div.form-row
    div.form-group.col-12.d-flex.justify-content-end
      div(role="toolbar",
          aria-label="Toolbar with button groups").btn-toolbar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-times
            span.text Cancelar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Eliminar()", [disabled]="!tHabilitarEliminar").btn.btn-danger.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Eliminar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-save
            span.text Guardar
